Valutazione 4.87/ 5 (100.00%) 5838 voti

Condividi:        

problema aggiornamenti

Per tutti i tuoi problemi Linux entra qui e risolvili!

Moderatori: gunter, zendune

problema aggiornamenti

Postdi rayden » 26/09/03 18:52

non so se avete notato ma la red hat dà questo tipo di problema:

se hai la 8 e vuoi installare nuovi componenti tipo la nuova versione della XFree non puoi farlo perchè sono necessarie le librerie della 9, voi avete trovato lo stesso problema? se si come lo avete risolto?
Le uniche limitazioni che abbiamo sono quelle che ci poniamo da soli...
http://www.lightingandservices.com
http://www.lightingandservices.com/phoenix
rayden
Utente Senior
 
Post: 881
Iscritto il: 07/08/01 01:00

Sponsor
 

Postdi Jonesy » 26/09/03 20:24

Anch'io ho la red hat 8 e ugualmente i programmi nuovi non mi funzionano, per un semplice programmino nuovo la maggior parte delle volte bisogna scaricare decine di mega di aggiornamenti e librerie che a loro volta ne richiedono altre decine :(
Non avendo ADSL sto pensando di passare alla 9, sempre che trovi qualche rivista che la contenga, ma campa cavallo dopo tutto quello che e' successo :(
Jonesy
Utente Senior
 
Post: 160
Iscritto il: 17/09/02 01:17

Postdi rayden » 27/09/03 09:53

si però onestamente questa è una soluzione che non mi piace, nessuno sa come fare gli aggiornamenti della 8? Insomma quando scarico il pacchetto di aggiornamento mi dice che è della 8, e quanto tento di installarlo mi dice che non può installarlo perchè la vecchia versione è necessaria ad un mucchio di altri programmi...
Le uniche limitazioni che abbiamo sono quelle che ci poniamo da soli...
http://www.lightingandservices.com
http://www.lightingandservices.com/phoenix
rayden
Utente Senior
 
Post: 881
Iscritto il: 07/08/01 01:00

Postdi rayden » 27/09/03 11:34

allora gente, la soluzione c'è quando dovete fare un aggiornamento di un qualche componente tipo XFree86 vi dovete scaricare tutti i file indicati delle dipendenze, dopodichè date il comando:

rpm -Uvh --force XFree-*.rpm

si preoccuperà di tutto lui voi dovrete solo attendere...
Le uniche limitazioni che abbiamo sono quelle che ci poniamo da soli...
http://www.lightingandservices.com
http://www.lightingandservices.com/phoenix
rayden
Utente Senior
 
Post: 881
Iscritto il: 07/08/01 01:00

Postdi Jonesy » 27/09/03 17:56

C'e' anche il pacchetto apt-get, molto utilizzato con debian ma utilizzabile anche con i pacchetti rpm di red hat. Per scaricare un programma basta digitare:

apt-get install nomepacchetto

se questo e' presente nell'archivio, verra scaricato automaticamente con tutte le dipendenze.
Peccato che redhat 8 sia un po obsoleta e non mettono piu' pacchetti nuovi :(

L'opzione --force che hai incluso nel comando rpm, credo forzi l'installazione anche senza la versione appropriata delle librerie. Se si ha fortuna puo' funzionare.
Esiste anche l'opzione --nodeps che se ne frega direttamente di tutte le dipendenze.
Jonesy
Utente Senior
 
Post: 160
Iscritto il: 17/09/02 01:17

Postdi rayden » 29/09/03 09:53

si sono a conoscenza di --nodeps, però a me interessa che mi segnali le dipendenze
Le uniche limitazioni che abbiamo sono quelle che ci poniamo da soli...
http://www.lightingandservices.com
http://www.lightingandservices.com/phoenix
rayden
Utente Senior
 
Post: 881
Iscritto il: 07/08/01 01:00

Postdi hexen » 29/09/03 16:26

rayden ha scritto:si sono a conoscenza di --nodeps, però a me interessa che mi segnali le dipendenze


apt-cache show nomepacchetto ti dice che dipendenze ha, o volevi sapere altro? :)
hexen
Utente Senior
 
Post: 1340
Iscritto il: 15/07/02 11:10


Torna a Software Linux


Topic correlati a "problema aggiornamenti":

Problema Windows 10
Autore: asso1998
Forum: Software Windows
Risposte: 1

Chi c’è in linea

Visitano il forum: Nessuno e 7 ospiti